Bug 1346243 - Review Request: execdb - Execution status database for Taskotron
Summary: Review Request: execdb - Execution status database for Taskotron
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 11:07 UTC by Martin Krizek
Modified: 2016-10-24 23:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-24 23:51:04 UTC
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Martin Krizek 2016-06-14 11:07:04 UTC
Spec URL: https://mkrizek.fedorapeople.org/specs/execdb.spec
SRPM URL: https://mkrizek.fedorapeople.org/srpms/execdb-0.0.7-2.fc23.src.rpm
Description: Execution status database for Taskotron
FAS: mkrizek

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-08-11 02:24:33 UTC
Please provide a description. Your description is a good Summary, but too short for a %description.

%py2_build

%py2_install

Those dots at the end look strange (cp conf/execdb.wsgi %{buildroot}%{_datadir}/execdb/.).

Is this is a server, does it need a service file?

Comment 2 Martin Krizek 2016-08-11 11:09:54 UTC
Thanks, updated version follows:

Spec URL: https://mkrizek.fedorapeople.org/specs/execdb.spec
SRPM URL: https://mkrizek.fedorapeople.org/srpms/execdb-0.0.7-3.fc23.src.rpm

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-08-11 14:40:12 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Is this is a server, does it need a service file?

Is it a server, or is it a module to be used by others?

Is it compatible with python3?

Comment 4 Tim Flink 2016-08-11 15:40:40 UTC
It's a server in the sense that it's a WSGI application which is then used by apache httpd (or something similar) to actually server the application.

I don't think that it needs a service file unless I'm mis-remembering the package guidelines on this front.

I don't think that we've tested execdb with python3. One of the primary parts of our stack is stuck on python2 until there's a python3 koji client available and we seem to be sticking to python2 for everything.

The long and short of it is that if it is compatible with python3, that's not something we (as in the upstream) are testing or planning to support at this time.

Comment 5 Jerry James 2016-09-16 17:14:54 UTC
I will take this review.

Comment 6 Jerry James 2016-09-16 18:58:12 UTC
Issues
======
1. The lines in %description are 90 characters long, which can cause them to be
   truncated on the right when shown in one of the GUI package tools.  I limit
   those lines to 72 characters in my packages, which seems to work okay.  See
   the rpmlint description-line-too-long warnings below.

2. Why are execdb.conf, exedb.wsgi, and settings.py.example included in %doc
   when they are also installed elsewhere?  Also, why is settings.py.example
   installed in /etc?  Shouldn't that only be in %doc?  (See the rpmlint
   non-conffile-in-etc warning below.)

3. This is an application, not a python module, so the naming requirements for
   python may not apply ... but let's think about the future.  What happens
   when a python 3 port becomes desirable?  You'll want 2 parallel installable
   versions of this package for some time before the python 2 version can be
   jettisoned.  I think you should seriously consider naming this package
   python-execdb, so that future python2- and python3- variants will be easy.
   Also, see this material on how multiple python runtimes are managed:
   https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro.

4. Speaking of the future, when the migration from python 2 to python 3 starts
   in earnest, it will be safer for this package to specify python version in
   the BuildRequires/Requires where that is possible; i.e.,

   Requires: python2-six
   BuildRequires:  python2-setuptools

   alembic and flask don't seem to provide those names yet.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: execdb-0.0.7-3.fc26.noarch.rpm
          execdb-0.0.7-3.fc26.src.rpm
execdb.noarch: E: description-line-too-long C ExecDB is a database that stores the execution status of jobs running inside the Taskotron
execdb.noarch: E: description-line-too-long C framework. You can see which jobs were scheduled, started and finished, and some of their
execdb.noarch: W: non-conffile-in-etc /etc/execdb/settings.py.example
execdb.noarch: W: no-manual-page-for-binary execdb
execdb.src: E: description-line-too-long C ExecDB is a database that stores the execution status of jobs running inside the Taskotron
execdb.src: E: description-line-too-long C framework. You can see which jobs were scheduled, started and finished, and some of their
2 packages and 0 specfiles checked; 4 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
execdb.noarch: E: description-line-too-long C ExecDB is a database that stores the execution status of jobs running inside the Taskotron
execdb.noarch: E: description-line-too-long C framework. You can see which jobs were scheduled, started and finished, and some of their
execdb.noarch: W: non-conffile-in-etc /etc/execdb/settings.py.example
execdb.noarch: W: no-manual-page-for-binary execdb
1 packages and 0 specfiles checked; 2 errors, 2 warnings.



Requires
--------
execdb (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-alembic
    python-flask
    python-flask-login
    python-flask-restful
    python-flask-sqlalchemy
    python-flask-wtf
    python-six



Provides
--------
execdb:
    execdb
    python2.7dist(execdb)
    python2dist(execdb)



Source checksums
----------------
https://qadevel.cloud.fedoraproject.org/releases/execdb/execdb-0.0.7.tar.gz :
  CHECKSUM(SHA256) this package     : f9a166b49a46edb9a8c2d1a62701c5c8f9f9fa2b0b668e65959ef499928a9366
  CHECKSUM(SHA256) upstream package : f9a166b49a46edb9a8c2d1a62701c5c8f9f9fa2b0b668e65959ef499928a9366


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1346243 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Martin Krizek 2016-09-21 08:30:31 UTC
Thanks!

Updated version follows:
Spec URL: https://mkrizek.fedorapeople.org/specs/execdb.spec
SRPM URL: https://mkrizek.fedorapeople.org/srpms/execdb-0.0.7-4.fc23.src.rpm

Comment 8 Jerry James 2016-09-22 02:20:36 UTC
Okay, I still think you're going to wish you had named this python-execdb, but that's on you now.  This package is APPROVED.

Comment 9 Gwyn Ciesla 2016-09-27 13:04:30 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/execdb

Comment 10 Fedora Update System 2016-09-27 20:21:43 UTC
execdb-0.0.7-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-707a2f48ed

Comment 11 Fedora Update System 2016-09-28 05:56:43 UTC
execdb-0.0.7-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd1d819866

Comment 12 Fedora Update System 2016-09-28 06:25:14 UTC
execdb-0.0.7-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c5a81466d7

Comment 13 Fedora Update System 2016-09-30 19:19:05 UTC
execdb-0.0.7-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a012e4d1a

Comment 14 Fedora Update System 2016-10-11 15:43:02 UTC
execdb-0.0.7-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-10-11 19:55:48 UTC
execdb-0.0.7-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-10-12 00:25:07 UTC
execdb-0.0.7-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a012e4d1a

Comment 17 Fedora Update System 2016-10-24 23:51:04 UTC
execdb-0.0.7-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.